hdf5

module (bold = default) build dependencies
hdf5/1.8.12/b1 intel 14.0.2 openmpi/1.6.5/b2 intel/2013.1.046
hdf5/1.8.12/b2 gcc 4.4.7 openmpi/1.6.5/b1
hdf5/1.8.12/b3 intel 14.0.2 debug impi/4.1.3.048
hdf5/1.8.12/b4 gcc 4.4.7 debug openmpi/1.6.5/b1
hdf5/1.8.12/b5 intel 14.0.2 --enable-cxx intel/2013.1.046
hdf5/1.8.12/b6 gcc 4.4.7 --enable-cxx
hdf5/1.8.14
hdf5/1.8.16/b1 gcc 5.2.0
hdf5/1.8.16/b2 gcc
hdf5/1.8.16/b3 gcc 5.2.0,with fortran2003 and cxx enabled
hdf5/1.8.16/b4 intel 2016.0515, openmpi 1.10.2 openmpi/1.10.2/b2
hdf5/1.8.18/b1 impi/2017.0516b
hdf5/1.8.7

also see Using Software.